@import url('https://fonts.googleapis.com/css2?family=Caprasimo&family=Damion&family=Fredoka:wght@300..700&family=Homemade+Apple&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Leckerli+One&family=Merriweather+Sans:ital,wght@0,300..800;1,300..800&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Pacifico&family=Sarina&display=swap');

:root {
    --one: #2c3e6f;
    --two: #2c3e6f;
    --three: #2c3e6f;
    --four: #1d3064;

    
    --white: #F3F3E3;
    --black: #354962;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    height: 100vh;
    overflow-y: scroll;
    background-color: var(--white);
    background-image: url(/!assets/bg/square.gif);
    font-family: Fredoka;
    color: var(--black);
}

h2 {
    font-family: Nunito;
}

.card {
    border: solid 2px var(--two);
    background-color: var(--white);
    padding: 10px;
}

.bgstrip {
    height: 80vh;
    width: 80px;
    background-color: #1d3064;
    position: absolute;
    top: -10px;
    right: -360px;
    clip-path: polygon(100% 0, 100% 80%, 10% 60%, 90% 60%, 0 80%, 0% 0%);
}

/* ------------ */

::selection {
    color: var(--black);
    background: gold;
}

::-moz-selection {
    color: var(--white); 
    background: gold;
}

/* ------------ */

.megacontainer {
    width: 920px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    
    position: relative;
    margin-top: 10px;
    left: 220px;
}

.container {
    margin: 10px 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    grid-template-areas:
    "mainbar mainbar"
    "footer footer";
    
}

/* ------------ */

.header {
    background-color: var(--two);
    height: 100px;
    text-align: center;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    color: var(--two);
}

.header h1 {
    color: var(--white);
    padding: 4px 10px;
    text-transform: uppercase;
}

/* ------------ */

.sidebar { 
    background-color: var(--two);
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 12px;
    
    position: fixed;
    top: 0;
    left: 0;
    height: calc(100vh - 20px);
    width: 200px;
    margin: 10px;
    

    border-radius: 4px;
}

.icon {
    min-height: 180px;
    background-color: var(--white);

    border-radius: 12px;
    
    background-image: url(/!assets/img/art/icons/eggicon1.png);
    background-size: cover;
}

/* ------------ */

.nav {
    flex: 1;
    background-color: var(--white);
    padding: 10px;
    border-radius: 6px;
}

.navhdr {
    font-size: 18px;
    text-align: center;

    padding: 4px;
    margin: 4px;
    border: dashed 2px var(--white);
    border-radius: 4px;
    color: var(--white);
}

.hdr {
    padding: 1px;
    background-color: var(--two);
    margin: 4px 0;
    border-radius: 6px;
}

.nav a {
    text-decoration: none;
    color: var(--black);
}

.nav a:hover {
    color: #2343a1
}

.nav a:hover:before {
    content: "➽ ";
    font-size: 12px;
}

.one {
    background-color: var(--three);
}

.two {
    background-color: var(--two);
}

.three {
    background-color: var(--one);
}


/* ------------ */

.mainbar {  
    display: grid;
    grid-template-columns: 4fr 1fr;
    gap: 10px;
    grid-auto-flow: row;
    grid-template-areas:
    "leftcol rightcol";
    grid-area: mainbar;
    width: 90%;
    align-self: center;
}

.leftcol { 
    grid-area: leftcol; 
    display: flex;
    flex-direction: column;
    gap: 8px;
}

/* ------------ */

.intro {
    background-color: var(--two);
    padding: 20px;
    color: var(--white);
    border: dashed 2px var(--white);
    text-align: center;
}

.introbdr {
    padding: 12px;
    background-color: var(--two);

}

.intro p {
    padding: 8px 30px;
}

.intro h2 {
    text-transform: uppercase;
}

/* ------------ */

.mn {
    flex: 1;
    display: flex;
    gap: 8px;
}

.featured {
    flex: 3;
    display: flex;
    align-items: flex-end;
    transform-origin: bottom center;
    transition: transform 0.1s ease-in-out;
}

.featured img {
    width: 100%;
    object-fit: contain ;
    user-select: none;
}

.squished {
    transform: scale(1.15, 0.75);
}

/* ------------ */

.strip {
    height: 50px;
    margin: -10px;
    margin-bottom: 2px;
    border-bottom: solid 2px var(--black);
    background-image: url(/!assets/bg/plaid2.png);;
}

.recent {
    background-color: var(--white);
    border: solid 2px var(--black);
    flex: 2;
    padding: 10px;
    font-size: 14px;
}

.recent h2 {
    font-size: 16px;
    text-transform: uppercase;
    text-align: center;
    background-color: var(--two);
    color: var(--white);
    padding: 4px;
    border-radius: 8px;
    margin: 8px 0;
}

.rccnt {
    height: 180px;
    overflow-y: auto;
    padding-right: 18px;
}

.rctmini p {
    border-bottom: dotted 1px var(--black);
    padding: 4px 0;
}

.rctdate {
    font-weight: 600;
    letter-spacing: 1px;
}

.recent ul {
    margin-left: 22px;
}

/* ------------ */

.wu {
    flex: 1;
    background-color: var(--two);
}

/* ------------ */

.rightcol { 
    grid-area: rightcol; 
    display: flex;
    flex-direction: column;
    background-color: var(--white);
    border: solid 2px var(--two);
    
    align-items: center;
}

/* ------------ */

.special {
    padding: 10px;
    text-align: center;
}

.specimg {
    border: dotted 2px rgba(23, 42, 81, 0.56);
    border-radius: 6px;
    margin: 6px 0;
    padding-top: 20px;
}

.specimg img {
    width: 100%;
    height: 120px;
    object-fit: contain;

}

.special h2 {
    margin: -10px;
    margin-bottom: 10px;
    padding: 6px 10px;
    background-color: var(--two);
    color: var(--white);
    font-size: 24px;
    font-family: Damion;
    font-weight: 500;
}

.special h5 {
    text-transform: uppercase;
    white-space: nowrap;
}

.float {
    animation: float 4s ease-in-out infinite;
}

@keyframes float {
    0% {
    transform: translateY(0);
    }
    50% {
    transform: translateY(-16px);
    }
    100% {
    transform: translateY(0);
    }
}

/* ------------ */

.button {
    text-align: center;
    padding: 10px;
}

.button h3 {
    background-color: var(--two);
    padding: 4px;
    color: var(--white);
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.button img {
    width: 88px;
}

textarea {
    height: 16px;
    background-color: var(--white);
    font-size: 8px;
}

/* ------------ */

.guestbook {
    padding: 10px;
    text-align: center;
}

.guestbook a {
    text-decoration: none;
    color: #668ec2;
}

.guestbook a:hover {
    text-decoration: underline;
    color: #3b669f;
}


.guestbook h3 {
    background-color: var(--two);
    padding: 4px;
    color: var(--white);
    margin-bottom: 6px;
    text-transform: uppercase;
    letter-spacing: 2px;
    text-align: center;
}


/* ------------ */

.warning {
    text-align: center;
    padding: 10px;
    font-size: 14px;
}

.warning img {
    width: 100%;
    height: 150px;
    object-fit: contain;
}

/* ------------ */

.footer { 
    grid-area: footer; 
    background-color: var(--two);
    padding: 8px;
    text-align: center;
    color: var(--white);
}

/* ------------ */

* {
    scrollbar-width: thin;
    scrollbar-color: var(--three) var(--white);
}

*::-webkit-scrollbar {
    width: 6px;
}

*::-webkit-scrollbar-track {
    background: var(--white);
    border-radius: 3px;
}

*::-webkit-scrollbar-thumb {
    background-color: var(--three);
    border-radius: 3px;
    border: 3px solid var(--white);
}

*::-webkit-scrollbar-thumb:hover {
    background-color: #3278b3;
}
